org.apache.pdfbox.preflight.utils

## Class RenderingIntents

- java.lang.Object
- - org.apache.pdfbox.preflight.utils.RenderingIntents

    public final class RenderingIntents
    extends Object

This class contains a static list of RenderingIntent values to allow an easy RenderingIntent value validation. Here is the content of the RenderingIntent list :

- Perceptual
- Saturation
- AbsoluteColorimetric
- RelativeColorimetric

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `contains(String riArg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### contains

    public static boolean contains(String riArg)